var NAVTREE =
[
  [ "GRASS GIS 7 Programmer's Manual", "index.html", [
    [ "GRASS Array Statistics Library", "arraystatslib.html", [
      [ "The discont algorithm", "arraystatslib.html#discont", null ],
      [ "List of functions", "arraystatslib.html#listOfFunctions", null ],
      [ "Authors", "arraystatslib.html#arraystatslibAuthors", null ]
    ] ],
    [ "btree2 library", "btree2.html", null ],
    [ "GRASS Cairo Display Driver", "cairodriver.html", [
      [ "Introduction to Cairo display driver", "cairodriver.html#cairointro", null ],
      [ "List of functions", "cairodriver.html#cairofunctions", null ]
    ] ],
    [ "GRASS testing normality & exponentiality Library", "cdhclib.html", [
      [ "GRASS library for testing normality & exponentiality", "cdhclib.html#cdhcintro", null ],
      [ "Loading the CDHC Library", "cdhclib.html#Loading_the_CDHC_Library", null ]
    ] ],
    [ "GRASS Cluster analysis statistics Library", "clusterlib.html", [
      [ "Introduction", "clusterlib.html#clusterintro", null ],
      [ "Cluster structure", "clusterlib.html#ClusterStruct", null ],
      [ "List of functions", "clusterlib.html#listFn", null ]
    ] ],
    [ "CCMATH mathematics library source code", "ccmathlib.html", [
      [ "Introduction to ccmath library", "ccmathlib.html#ccmathintro", null ],
      [ "List of functions", "ccmathlib.html#ccmathfunctions", null ]
    ] ],
    [ "GRASS GIS General Library (aka GIS Library)", "gislib.html", "gislib" ],
    [ "GRASS Numerical math interface", "gmathlib.html", [
      [ "The GRASS numerical math interface", "gmathlib.html#gmathintro", [
        [ "Memory allocation functions", "gmathlib.html#memalloc", null ],
        [ "Common mathematical functions", "gmathlib.html#commonmath", null ],
        [ "Blas like level 1,2 and 3 functions", "gmathlib.html#gmathblas", [
          [ "Level 1 vector - vector GRASS implementation with OpenMP thread support", "gmathlib.html#blas_level_1", null ],
          [ "Level 2 matrix - vector GRASS implementation with OpenMP thread support", "gmathlib.html#blas_level_2", null ],
          [ "Blas level 3 matrix - matrix GRASS implementation with OpenMP thread support", "gmathlib.html#blas_level_3", null ]
        ] ],
        [ "Ccmath library function wrapper", "gmathlib.html#gmathccmath", null ],
        [ "Linear equation solver", "gmathlib.html#gmathsolver", null ],
        [ "Optional support of LAPACK/BLAS", "gmathlib.html#gmathlapack", [
          [ "Implementation", "gmathlib.html#Implementation", null ],
          [ "matrix -matrix functions", "gmathlib.html#matrix_matrix_functions", null ]
        ] ]
      ] ],
      [ "Matrix-Vector functions", "gmathlib.html#matrix_Vector_functions", null ],
      [ "Vector-Vector functions", "gmathlib.html#Vector_Vector_functions", null ],
      [ "Notes", "gmathlib.html#Notes", null ],
      [ "Example", "gmathlib.html#Example", null ]
    ] ],
    [ "GRASS Partial differential equations Library (GPDE)", "gpdelib.html", [
      [ "The Creation of a lineare equation systems", "gpdelib.html#PDE", [
        [ "Raster maps", "gpdelib.html#rastermaps", [
          [ "Higher level array functions", "gpdelib.html#highlevel", null ]
        ] ],
        [ "Volume maps", "gpdelib.html#g3dmaps", null ],
        [ "Entries in the linear equation system", "gpdelib.html#les", null ]
      ] ],
      [ "Available solvers", "gpdelib.html#solvers", [
        [ "Direct solvers", "gpdelib.html#direct_solvers", null ],
        [ "Iterative solvers", "gpdelib.html#iterative_solvers", null ]
      ] ],
      [ "Implemented PDE's", "gpdelib.html#available_pdes", null ],
      [ "Handling geometrical data", "gpdelib.html#geom_data", null ],
      [ "Mathematical tools", "gpdelib.html#mathtools", null ],
      [ "Calculating and managing gradient and vector field data", "gpdelib.html#gradient", null ]
    ] ],
    [ "GRASS Data Elements Manage Library", "managelib.html", [
      [ "Introduction", "managelib.html#manageintro", null ]
    ] ],
    [ "GRASS Nviz Library", "nvizlib.html", [
      [ "Introduction to Nviz Library", "nvizlib.html#nvizintro", null ],
      [ "Functions", "nvizlib.html#Functions", [
        [ "Initialization", "nvizlib.html#nvizInit", null ],
        [ "Viewport settings", "nvizlib.html#NvizViewport", null ],
        [ "Draw map objects", "nvizlib.html#nvizDraw", null ],
        [ "Map objects manipulation", "nvizlib.html#nvizMapObj", null ],
        [ "Lights settings", "nvizlib.html#nvizLights", null ],
        [ "Clip planes manipulation", "nvizlib.html#nvizCplanes", null ],
        [ "Off-screen rendering", "nvizlib.html#nvizRender", null ]
      ] ],
      [ "Authors", "nvizlib.html#authors", null ]
    ] ],
    [ "GRASS GIS OGSF Library", "ogsflib.html", [
      [ "OGSF Library for OpenGL programming", "ogsflib.html#ogsfintro", [
        [ "Naming Conventions", "ogsflib.html#ogsfNames", null ]
      ] ],
      [ "Major todos", "ogsflib.html#ogsfTodo", null ],
      [ "Public function prototypes", "ogsflib.html#ogsfPublic", [
        [ "Initialization and positioning surfaces (GS)", "ogsflib.html#ogsfGs", null ],
        [ "Loading and manipulation of vector maps (GV)", "ogsflib.html#ogsfGv", null ],
        [ "Loading and manipulation of vector point maps (GP)", "ogsflib.html#ogsfGp", null ],
        [ "ogsfGk Keyframe animation", "ogsflib.html#ogsf", null ],
        [ "Loading and manipulation of volume maps (GVL)", "ogsflib.html#ogsfGvl", null ],
        [ "Loading and manipulation of isosurfaces (GVL)", "ogsflib.html#ogsfGvlIso", null ],
        [ "Loading and manipulation of slices (GVL)", "ogsflib.html#ogsfGvlSlice", null ]
      ] ]
    ] ],
    [ "GRASS GIS PNG Display Driver Library", "pngdriverlib.html", null ],
    [ "GRASS and the PROJ4 projection library", "projlib.html", [
      [ "GRASS GIS and the PROJ4 projection library", "projlib.html#projintro", [
        [ "Datum transformation", "projlib.html#datum_transformation", null ],
        [ "Makefile Example", "projlib.html#Makefile_Example", null ]
      ] ]
    ] ],
    [ "GRASS Postscript Display Driver Library", "psdriverlib.html", null ],
    [ "GRASS Row Input/Output Library", "rowiolib.html", null ],
    [ "GRASS Library for interpolation with regularized splines with tension", "rstlib.html", null ],
    [ "GRASS Segment Library", "segmentlib.html", [
      [ "Introduction", "segmentlib.html#segmentintro", null ],
      [ "Segment Routines", "segmentlib.html#Segment_Routines", null ],
      [ "How to Use the Library Routines", "segmentlib.html#How_to_Use_the_Library_Routines", null ],
      [ "Segment Library Performance", "segmentlib.html#Segment_Library_Performance", null ],
      [ "Loading the Segment Library", "segmentlib.html#Loading_the_Segment_Library", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Bug List", "bug.html", null ],
    [ "Data Structures", "annotated.html", [
      [ "Data Structures", "annotated.html", "annotated_dup" ],
      [ "Data Fields", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Variables", "functions_vars.html", "functions_vars" ]
      ] ]
    ] ],
    [ "Files", null, [
      [ "File List", "files.html", "files" ],
      [ "Globals", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"ATLAS__wrapper__blas__level__1_8c.html",
"address_8c.html#a9f276c69095133a97c37e6e8add24cfe",
"c__percentile_8c.html#a85f877f940a796d0b2aa18d810f8e0de",
"ccmath_8h.html#aaf2fb72557f6367d2c15209342a02a55",
"create_8c_source.html",
"driver_8h.html#ab59a3dd876881f4129f939b496dc4212",
"get__ellipse_8c.html#a380f6a8f569f087573157212bbd04f98",
"globals_func.html",
"gs2_8c.html#adae9f55f14b73a0989e792227ea76a21",
"gsd__prim_8c.html#a1c008d7a3f21e117a89c96440fdfbd59",
"gvl2_8c.html#a746d9669734a9c2d1f9efa784646b089",
"ialloc_8c.html",
"lidar_8h.html#ae8e7934fe3a774986975209a9b30ce76",
"lz4_8h.html#a6c2299958529e6037c34f9b36f25f4d0",
"n__arrays__calc_8c.html#ab459e8905492bded6131e1079739b0ad",
"output2d_8c.html",
"pngdriver_8h.html#a017d650e94614a9a4dd8459a0abee854",
"rbtree_8c.html#af821c10cc07a3a45362a18bf90234825",
"shapefil_8h.html#a6da4f4d42b6348de51daf6233d80233d",
"strings_8c_source.html",
"structN__heatflow__data2d.html#ac1921e3dd4c55df4b4087dfb383f86f8",
"structinterp__params.html#a785998cfd8ad719b16df744cf4ff75e4",
"trans_8c_source.html",
"xcos_8c_source.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';